///File : DialogBarCodeRead.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined DIALOG_BARCODE_READ_HPP_DEVIS_MAKER
#define DIALOG_BARCODE_READ_HPP_DEVIS_MAKER

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
//------------------------------------------------------------------------------
#include <ItemSectionDBBase.hpp>
//------------------------------------------------------------------------------
#include <wx/listctrl.h>
#include <wx/event.h>
#include <wx/wupdlock.h>
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"

#if defined USE_BAR_CODE_MODE

//------------------------------------------------------------------------------
//-                               DialogBarCodeRead                                   -
//------------------------------------------------------------------------------
class DialogBarCodeRead : public wxDialog
{
public:
    DialogBarCodeRead(wxWindow* parent, wxWindowID id, ItemSectionDBBase *IRDBManager, const wxString &title = _("Item search"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize(400, 250), long style = wxDEFAULT_DIALOG_STYLE);

    // Events
    void OnTextEdit(wxEvent& event);
    void OnAdd(wxEvent& event);
    void OnRemove(wxEvent& event);
    void OnListSelect(wxEvent& event);
    void OnListKeyDown(wxKeyEvent& event);

    void FeedSelectedItemsList();
    std::vector<std::string>& GetItemsListRef();
    std::vector<double>& GetItemsListQuantity();

    void RefreshBt();

protected:
    ItemSectionDBBase *m_IRDBManager;

    wxTextCtrl *m_TextRef;

    std::vector<std::string> m_stdAllItemsList;

    std::vector<std::string> m_selectedItems;
    std::vector<double> m_selectedItemQuantities;

    wxListBox *m_selectedItemsList;

    wxButton *m_btAdd, *m_btRemove;
};

//------------------------------------------------------------------------------
#endif //#if defined USE_BAR_CODE_MODE


#endif //DIALOG_BARCODE_READ_HPP_DEVIS_MAKER
