///File : PanelRIEdit.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined DIALOG_ITEM_SEARCH_HPP_DEVIS_MAKER
#define DIALOG_ITEM_SEARCH_HPP_DEVIS_MAKER

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
//------------------------------------------------------------------------------
#include <ItemSectionDBBase.hpp>
//------------------------------------------------------------------------------
#include <wx/listctrl.h>
#include <wx/event.h>
#include <wx/wupdlock.h>
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"
//------------------------------------------------------------------------------
//-                               DialogItemSearch                                   -
//------------------------------------------------------------------------------
class DialogItemSearch : public wxDialog
{
public:
    DialogItemSearch(wxWindow* parent, wxWindowID id, ItemSectionDBBase *IRDBManager, const wxString &title = _("Item search"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize(500, 400), long style = wxDEFAULT_DIALOG_STYLE);

    // Events
    void OnSearchText(wxCommandEvent& event);
    void OnValidate(wxEvent& event);
    void FeedTbl();
    std::string GetItemRef() const;


protected:
    ItemSectionDBBase *m_IRDBManager;

    wxListView *m_Table;
    wxTextCtrl *m_TextSearch;

    std::string m_itemRef;
};

//------------------------------------------------------------------------------


#endif //DIALOG_ITEM_SEARCH_HPP_DEVIS_MAKER
